use serde::Serialize;

use super::document::WasmDocument;

#[derive(Debug, Serialize)]
#[serde(tag = "status", content = "content")]
pub enum ParseResult {
    #[serde(rename = "success")]
    Success(WasmDocument),

    #[serde(rename = "error")]
    Error(String),
}
